dynamic_theme_mode 1.0.0
dynamic_theme_mode: ^1.0.0 copied to clipboard

A Flutter widget that allows theme mode changing during runtime.

Use this package as a library

Depend on it

Run this command:

With Flutter:

 $ flutter pub add dynamic_theme_mode

This will add a line like this to your package's pubspec.yaml (and run an implicit flutter pub get):

dependencies:
  dynamic_theme_mode: ^1.0.0

Alternatively, your editor might support or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:dynamic_theme_mode/dynamic_theme_mode.dart';
2
likes
130
pub points
42%
popularity

A Flutter widget that allows theme mode changing during runtime.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on dynamic_theme_mode